\version "2.24.1"

N = 61
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
          \new Bassoons <<
            \new BassoonI  \with { \RemoveAllEmptyStaves } { \I.Bassoon.1 }
            \new BassoonII \with { \RemoveAllEmptyStaves } { \I.Bassoon.2 }
            \new BassoonIandII \partCombine \I.Bassoon.1 \I.Bassoon.2
          >>
        >>
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine #'(0 . 9) \I.Horn.1 \I.Horn.2
        \new Timpani \with { tuning=<d a,> } { \I.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB    { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Flute { \II.Flute }
          \new Oboes <<
            \new OboeI  \with { \RemoveAllEmptyStaves } { \II.Oboe.1 }
            \new OboeII \with { \RemoveAllEmptyStaves } { \II.Oboe.2 }
            \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          >>
          \new BassoonIandII \partCombine #'(0 . 9) \II.Bassoon.1 \II.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=a } \partCombine \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB    { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \score {
      \layout { \breaklayout IIIa \spacing #1/8 }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIa
        \IIIa.structure
        \new StaffGroup <<
          \new Flute { \IIIa.Flute }
          \new OboeIandII \partCombine \IIIa.Oboe.1 \IIIa.Oboe.2
          \new BassoonIandII \partCombine \IIIa.Bassoon.1 \IIIa.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine \IIIa.Horn.1 \IIIa.Horn.2
        \new Timpani \with { tuning=<d a,> } { \IIIa.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIa.Violin.1 }
            \new ViolinII { \IIIa.Violin.2 }
          >>
          \new Viola { \IIIa.Viola }
          \new CB    { \IIIa.Cello }
        >>
      >>
    }
    \keepWithTag \Haydntags \tag #'Mvt3 \pageBreak
    \score {
      \layout { \breaklayout IIIb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks IIIb
        \IIIb.structure
        \new StaffGroup <<
          \new Oboe { \IIIb.Oboe.1 }
        >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IIIb.Violin.1 }
            \new ViolinII { \IIIb.Violin.2 }
          >>
          \new CB    { \IIIb.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
          \new Bassoons <<
            \new BassoonI  \with { \RemoveAllEmptyStaves } { \IV.Bassoon.1 }
            \new BassoonII \with { \RemoveAllEmptyStaves } { \IV.Bassoon.2 }
            \new BassoonIandII \partCombine \IV.Bassoon.1 \IV.Bassoon.2
          >>
        >>
        \new StaffGroup
          \new HornIandII \with { key=d } \partCombine \IV.Horn.1 \IV.Horn.2
        \new Timpani \with { tuning=<d a,> } { \IV.Timpani }
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.Cello }
        >>
      >>
    }
  }
}
